Summary:	Music education software
Name:		minuet
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/minuet/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5crash-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
Minuet is an application for music education. It features a set of ear
training exercises regarding intervals, chords, scales and more.

%files -f %{name}.lang
%doc COPYING COPYING.DOC
%{_kde5_applicationsdir}/org.kde.minuet.desktop
%{_kde5_bindir}/minuet
%{_kde5_datadir}/minuet
%{_kde5_iconsdir}/*/*/actions/minuet-*.*
%{_kde5_iconsdir}/*/*/apps/minuet.*
%{_appdatadir}/org.kde.minuet.appdata.xml
%{_qt5_plugindir}/minuet/minuetfluidsynthsoundcontroller.so

#----------------------------------------------------------------------------

%define minuetinterfaces_major 0.3.0
%define libminuetinterfaces %mklibname minuetinterfaces %{minuetinterfaces_major}

%package -n %{libminuetinterfaces}
Summary:	Minuet shared library
Group:		System/Libraries

%description -n %{libminuetinterfaces}
Minuet shared library.

%files -n %{libminuetinterfaces}
%{_kde5_libdir}/libminuetinterfaces.so.%{minuetinterfaces_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for Minuet
Group:		Development/KDE and Qt
Requires:	%{libminuetinterfaces} = %{EVRD}
Provides:	%{name}-devel = %{version}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%dir %{_kde5_includedir}/minuet/
%{_kde5_includedir}/minuet/*
%{_kde5_libdir}/libminuetinterfaces.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (811be5d) New version 17.08.2


